      subroutine help (ihelp,icomp)                                     HELP001
C---------------------------------------------------------------------  HELP002
C  this subroutine writes a  general help menu on the screen and sets   HELP003
C       the help level for other routines, if requested                 HELP004
C---------------------------------------------------------------------- HELP005
C  var: ihelp: help level marker                                        HELP006
c ----------------------------------------------------------------------HELP007
c     This program module is part of the PhysiSoft X-ray Library        HELP008
c     and may not be sold or reproduced for commercial purposes.        HELP009
c     Although it has been tested carefully, there is no warranty       HELP010
c     regarding accuracy or freedom from side-effects.                  HELP011
c                   (C) 1986-1990 Bernhard Rupp                         HELP012
c ----------------------------------------------------------------------HELP013
      character answ,icomp*4                                            HELP014
      write(*,'(a$)')'  More information about correct format (Y/N) ? ' HELP015
      call inkey (answ)                                                 HELP016
      if (answ.eq.'N') return                                           HELP017
      call clrscr (icomp)                                               HELP018
      call spchlp (6,icomp)                                             HELP019
      write(*,'(/a$)')                                                  HELP020
     &  '  Need a list of all allowed Hermann Mauguin symbols (Y/N) ? ' HELP021
      call inkey (answ)                                                 HELP022
      if (answ.eq.'Y') call splist (icomp)                              HELP023
      ihelp=1                                                           HELP024
      call clrscr (icomp)                                               HELP025
      return                                                            HELP026
      end                                                               HELP027
